# Interface UiManager

interface UiManager {
addLanguagePack(language, languagePack): void;
getPlayerContainerUiComponent(): null | UiComponent;
}

#### Implemented by

- UiManager

#####
Index

### Methods

addLanguagePack
getPlayerContainerUiComponent

## Methods

### addLanguagePack

- addLanguagePack(language, languagePack): void

- Add localizations for a specific language

  #### Parameters

  - language: LanguageKey
  - languagePack: Record<string, string>

  #### Returns void

### getPlayerContainerUiComponent

- getPlayerContainerUiComponent(): null | UiComponent

- Get the UI Component of the player

  #### Returns null | UiComponent